Description

Greetings,

Please be informed that | installed Foreman Version 1.8.0 on CentOS Version 7.1 and | have VMware ESX version 6.
| successfully have registered ESX to Foreman by creating "Compute resources" and then "Compute profiles”

When | try to provision VMs, | get this error "Unable to save mac value is blank!"
Please, | need to provision VMs in ESX using foreman but | don't have Vcenter.
Is there any work around for this issue?.

Regards,
Mostafa

Related issues:
Is duplicate of Foreman - Bug #8528: Provisioning on a non-clustered ESXi Duplicate 11/27/2014

History

#1 - 04/26/2016 08:46 AM - Dominic Cleal
- Is duplicate of Bug #8528: Provisioning on a non-clustered ESXi added

#2 - 04/26/2016 08:47 AM - Dominic Cleal

- Status changed from New to Duplicate

vSphere is required for Foreman's VMware integration, see http:/theforeman.org/manuals/1.11/index.html#5.2.9VMwareNotes, and existing issues
#8528 and #1945.

#3 - 04/27/2016 05:04 AM - Mostafa Yasin

Hi Dominic,

Thank you so much for your help. | have read your message, but Unfortunately i didn't understand what should i do because | am new in the Foreman
technology but | would like to use it in our environment.

Could you please simplify, what should i do to solve the issue of "Unable to save mac value is blank!" ?
Please let me know, Is it mandatory to have Vcenter or these is a work around to solve this issue?

Thank you so much.
Regards,

#4 - 04/27/2016 05:09 AM - Dominic Cleal

Mostafa Yasin wrote:

Please let me know, Is it mandatory to have Vcenter or these is a work around to solve this issue?
http://theforeman.org/manuals/1.11/index.html#5.2.9VMwareNotes
https://projects.theforeman.org/issues/8528
https://projects.theforeman.org/issues/1945

It is mandatory for the VMware support. You should get it, or create the VMs manually, copy the MAC address down and then add them to Foreman
as "bare metal" (not using VMware support) with the MAC addresses.

#5 - 04/27/2016 05:13 AM - Mostafa Yasin

Thank you so much Dominic. Now | understood.
